############################################################################################################
#
#  General Setting
#
############################################################################################################
- general: MTK_PLATFORM_CFG
  info: 
    - config_version: V1.1.6
      platform: MT6739
      project: mt8765_P
      storage: EMMC
      boot_channel: MSDC_0
      block_size: 0x20000
      check_bootloaders_consistency: true
############################################################################################################
#
#  Layout Setting
#
############################################################################################################
- partition_index: SYS0
  partition_name: preloader
  file_name: preloader_mt8765_P.bin
  is_download: true
  type: SV5_BL_BIN
  linear_start_addr: 0x0
  physical_start_addr: 0x0
  partition_size: 0x40000
  region: EMMC_BOOT1_BOOT2
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: BOOTLOADERS
  is_upgradable: true
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS1
  partition_name: pgpt
  file_name: NONE
  is_download: false
  type: NORMAL_ROM
  linear_start_addr: 0x0
  physical_start_addr: 0x0
  partition_size: 0x8000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: INVISIBLE
  is_upgradable: false
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS2
  partition_name: boot_para
  file_name: NONE
  is_download: false
  type: NORMAL_ROM
  linear_start_addr: 0x8000
  physical_start_addr: 0x8000
  partition_size: 0x100000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: INVISIBLE
  is_upgradable: false
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS3
  partition_name: recovery
  file_name: recovery.img
  is_download: true
  type: NORMAL_ROM
  linear_start_addr: 0x108000
  physical_start_addr: 0x108000
  partition_size: 0x1800000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: UPDATE
  is_upgradable: true
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS4
  partition_name: para
  file_name: NONE
  is_download: false
  type: NORMAL_ROM
  linear_start_addr: 0x1908000
  physical_start_addr: 0x1908000
  partition_size: 0x80000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: INVISIBLE
  is_upgradable: false
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS5
  partition_name: expdb
  file_name: NONE
  is_download: false
  type: NORMAL_ROM
  linear_start_addr: 0x1988000
  physical_start_addr: 0x1988000
  partition_size: 0x1400000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: INVISIBLE
  is_upgradable: false
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS6
  partition_name: frp
  file_name: NONE
  is_download: false
  type: NORMAL_ROM
  linear_start_addr: 0x2d88000
  physical_start_addr: 0x2d88000
  partition_size: 0x100000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: INVISIBLE
  is_upgradable: false
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS7
  partition_name: nvcfg
  file_name: NONE
  is_download: false
  type: EXT4_IMG
  linear_start_addr: 0x2e88000
  physical_start_addr: 0x2e88000
  partition_size: 0x800000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: PROTECTED
  is_upgradable: false
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS8
  partition_name: nvdata
  file_name: NONE
  is_download: false
  type: EXT4_IMG
  linear_start_addr: 0x3688000
  physical_start_addr: 0x3688000
  partition_size: 0x2000000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: INVISIBLE
  is_upgradable: false
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS9
  partition_name: metadata
  file_name: NONE
  is_download: false
  type: NORMAL_ROM
  linear_start_addr: 0x5688000
  physical_start_addr: 0x5688000
  partition_size: 0x2000000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: INVISIBLE
  is_upgradable: false
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS10
  partition_name: protect1
  file_name: NONE
  is_download: false
  type: EXT4_IMG
  linear_start_addr: 0x7688000
  physical_start_addr: 0x7688000
  partition_size: 0x800000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: PROTECTED
  is_upgradable: false
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS11
  partition_name: protect2
  file_name: NONE
  is_download: false
  type: EXT4_IMG
  linear_start_addr: 0x7e88000
  physical_start_addr: 0x7e88000
  partition_size: 0x978000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: PROTECTED
  is_upgradable: false
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS12
  partition_name: seccfg
  file_name: NONE
  is_download: false
  type: NORMAL_ROM
  linear_start_addr: 0x8800000
  physical_start_addr: 0x8800000
  partition_size: 0x800000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: INVISIBLE
  is_upgradable: false
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS13
  partition_name: sec1
  file_name: NONE
  is_download: false
  type: NORMAL_ROM
  linear_start_addr: 0x9000000
  physical_start_addr: 0x9000000
  partition_size: 0x200000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: INVISIBLE
  is_upgradable: false
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS14
  partition_name: proinfo
  file_name: NONE
  is_download: false
  type: NORMAL_ROM
  linear_start_addr: 0x9200000
  physical_start_addr: 0x9200000
  partition_size: 0x300000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: PROTECTED
  is_upgradable: false
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS15
  partition_name: md1img
  file_name: md1img.img
  is_download: true
  type: NORMAL_ROM
  linear_start_addr: 0x9500000
  physical_start_addr: 0x9500000
  partition_size: 0x1800000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: UPDATE
  is_upgradable: true
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS16
  partition_name: md1dsp
  file_name: md1dsp.img
  is_download: true
  type: NORMAL_ROM
  linear_start_addr: 0xad00000
  physical_start_addr: 0xad00000
  partition_size: 0x1000000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: UPDATE
  is_upgradable: true
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS17
  partition_name: spmfw
  file_name: spmfw.img
  is_download: true
  type: NORMAL_ROM
  linear_start_addr: 0xbd00000
  physical_start_addr: 0xbd00000
  partition_size: 0x100000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: UPDATE
  is_upgradable: true
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS18
  partition_name: mcupmfw
  file_name: mcupmfw.img
  is_download: true
  type: NORMAL_ROM
  linear_start_addr: 0xbe00000
  physical_start_addr: 0xbe00000
  partition_size: 0x100000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: UPDATE
  is_upgradable: true
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS19
  partition_name: nvram
  file_name: NONE
  is_download: false
  type: NORMAL_ROM
  linear_start_addr: 0xbf00000
  physical_start_addr: 0xbf00000
  partition_size: 0x500000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: BINREGION
  is_upgradable: false
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS20
  partition_name: lk
  file_name: lk.img
  is_download: true
  type: NORMAL_ROM
  linear_start_addr: 0xc400000
  physical_start_addr: 0xc400000
  partition_size: 0x100000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: UPDATE
  is_upgradable: true
  empty_boot_needed: true
  reserve: 0x00

- partition_index: SYS21
  partition_name: lk2
  file_name: lk.img
  is_download: true
  type: NORMAL_ROM
  linear_start_addr: 0xc500000
  physical_start_addr: 0xc500000
  partition_size: 0x100000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: UPDATE
  is_upgradable: true
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS22
  partition_name: loader_ext1
  file_name: loader_ext.img
  is_download: true
  type: NORMAL_ROM
  linear_start_addr: 0xc600000
  physical_start_addr: 0xc600000
  partition_size: 0x10000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: BOOTLOADERS
  is_upgradable: true
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS23
  partition_name: loader_ext2
  file_name: loader_ext.img
  is_download: true
  type: NORMAL_ROM
  linear_start_addr: 0xc610000
  physical_start_addr: 0xc610000
  partition_size: 0x10000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: BOOTLOADERS
  is_upgradable: true
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS24
  partition_name: boot
  file_name: boot.img
  is_download: true
  type: NORMAL_ROM
  linear_start_addr: 0xc620000
  physical_start_addr: 0xc620000
  partition_size: 0x1000000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: UPDATE
  is_upgradable: true
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS25
  partition_name: logo
  file_name: logo.bin
  is_download: true
  type: NORMAL_ROM
  linear_start_addr: 0xd620000
  physical_start_addr: 0xd620000
  partition_size: 0x800000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: UPDATE
  is_upgradable: false
  empty_boot_needed: true
  reserve: 0x00

- partition_index: SYS26
  partition_name: dtbo
  file_name: dtbo.img
  is_download: true
  type: NORMAL_ROM
  linear_start_addr: 0xde20000
  physical_start_addr: 0xde20000
  partition_size: 0x800000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: UPDATE
  is_upgradable: true
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS27
  partition_name: tee1
  file_name: tee.img
  is_download: true
  type: NORMAL_ROM
  linear_start_addr: 0xe620000
  physical_start_addr: 0xe620000
  partition_size: 0x500000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: UPDATE
  is_upgradable: true
  empty_boot_needed: true
  reserve: 0x00

- partition_index: SYS28
  partition_name: tee2
  file_name: tee.img
  is_download: true
  type: NORMAL_ROM
  linear_start_addr: 0xeb20000
  physical_start_addr: 0xeb20000
  partition_size: 0x500000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: UPDATE
  is_upgradable: true
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS29
  partition_name: lenovoraw
  file_name: NONE
  is_download: false
  type: NORMAL_ROM
  linear_start_addr: 0xf020000
  physical_start_addr: 0xf020000
  partition_size: 0x1000000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: INVISIBLE
  is_upgradable: false
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS30
  partition_name: lenovocust
  file_name: lenovocust.img
  is_download: true
  type: EXT4_IMG
  linear_start_addr: 0x10020000
  physical_start_addr: 0x10020000
  partition_size: 0xcfe0000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: UPDATE
  is_upgradable: false
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS31
  partition_name: vendor
  file_name: vendor.img
  is_download: true
  type: EXT4_IMG
  linear_start_addr: 0x1d000000
  physical_start_addr: 0x1d000000
  partition_size: 0x19000000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: UPDATE
  is_upgradable: true
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS32
  partition_name: system
  file_name: system.img
  is_download: true
  type: EXT4_IMG
  linear_start_addr: 0x36000000
  physical_start_addr: 0x36000000
  partition_size: 0xe8000000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: UPDATE
  is_upgradable: true
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS33
  partition_name: cache
  file_name: cache.img
  is_download: true
  type: EXT4_IMG
  linear_start_addr: 0x11e000000
  physical_start_addr: 0x11e000000
  partition_size: 0xd000000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: UPDATE
  is_upgradable: false
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS34
  partition_name: userdata
  file_name: userdata.img
  is_download: true
  type: EXT4_IMG
  linear_start_addr: 0x12b000000
  physical_start_addr: 0x12b000000
  partition_size: 0xc0000000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: true
  is_reserved: false
  operation_type: UPDATE
  is_upgradable: false
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS35
  partition_name: flashinfo
  file_name: NONE
  is_download: false
  type: NORMAL_ROM
  linear_start_addr: 0xFFFF0080
  physical_start_addr: 0xFFFF0080
  partition_size: 0x1000000
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: false
  is_reserved: true
  operation_type: RESERVED
  is_upgradable: false
  empty_boot_needed: false
  reserve: 0x00

- partition_index: SYS36
  partition_name: sgpt
  file_name: NONE
  is_download: false
  type: NORMAL_ROM
  linear_start_addr: 0xFFFF0000
  physical_start_addr: 0xFFFF0000
  partition_size: 0x4200
  region: EMMC_USER
  storage: HW_STORAGE_EMMC
  boundary_check: false
  is_reserved: true
  operation_type: RESERVED
  is_upgradable: false
  empty_boot_needed: false
  reserve: 0x00

